Skip to main content

Search indexes

Base URL: https://api.amplience.net/v2/content

Authorization and status codes

For authorization and status codes see the API Reference overview.

Search indexes
Link copied!

MethodEndpointSummary
GET/algolia-search/{hubId}/indexesList indexes
POST/algolia-search/{hubId}/indexesCreate an index
GET/algolia-search/{hubId}/indexes/{indexId}Get an index
PATCH/algolia-search/{hubId}/indexes/{indexId}Update an index
DELETE/algolia-search/{hubId}/indexes/{indexId}Delete an index
POST/algolia-search/{hubId}/indexes/{indexId}/archiveArchive an Algolia search index
GET/algolia-search/{hubId}
/indexes/{indexId}/assigned-content-types
List assigned content types
POST/algolia-search/{hubId}
/indexes/{indexId}/assigned-content-types
Create an assigned content type
GET/algolia-search/{hubId}
/indexes/{indexId}/assigned-content-types/{contentTypeId}
Get assigned content type
DELETE/algolia-search/{hubId}
/indexes/{indexId}/assigned-content-types/{contentTypeId}
Delete an assigned content type
POST/algolia-search/{hubId}
/indexes/{indexId}/assigned-content-types/{contentTypeId}/recreate-webhook
Recreate assigned content type webhook
POST/algolia-search/{hubId}/indexes/{indexId}/clearClear an index
GET/algolia-search/{hubId}/indexes/{indexId}/keys/{keyId}Get an API key
DELETE/algolia-search/{hubId}
/indexes/{indexId}/objects/{objectId}
Delete an index object
GET/algolia-search/{hubId}/indexes/{indexId}/settingsGet search index settings
PATCH/algolia-search/{hubId}/indexes/{indexId}/settingsUpdate search index settings
GET/algolia-search/{hubId}/indexes/{indexId}/statsGet search index statistics
POST/algolia-search/{hubId}/indexes/{indexId}/unarchiveUnarchive an Algolia search index

List indexes
Link copied!

GET /algolia-search/{hubId}/indexes

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes

List Algolia search indexes for a given hub

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
parentIdquerystringFilter by the parentId. An empty string will return all primary indexes.
Example: 20
projectionquerystring (withSettings)Project addition values in list response withSettings - includes the settings for each index
sizequeryintegerSet the number of results per page
Example: 20
pagequeryintegerPage number
Example: 0
sortquerystringSort parameter
Example: label,asc
statusquerystringComma seperated list of statuses
Example: ACTIVE,ARCHIVED

Responses

StatusDescription
200List of Algolia Search indexes for the given hub
Response Example (200)
{
"_embedded": {
"indexes": [
{
"id": "00112233445566778899aabb",
"parentId": "00112233445566778899aabb",
"replicaCount": 0,
"name": "anya-finn.my-index",
"suffix": "my-index",
"label": "My Index",
"assignedContentTypes": [],
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"status": "ACTIVE",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{/id}",
"templated": true
},
"hub-search-key": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/keys/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"list-replicas": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes?parentId=00112233445566778899aabb{&projection,page,size,sort}",
"templated": true
},
"hub": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb"
},
"settings": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings"
},
"update-settings": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings{?forwardToReplicas}",
"templated": true
},
"assigned-content-types": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types"
},
"clear": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/clear"
},
"stats": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/stats{?period}",
"templated": true
},
"top-searches": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches{?clickAnalytics,orderBy,direction,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"top-hits": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-hits{?search,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"searches-with-no-results": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-with-no-results{?startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"top-filters-no-result-search": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-filters-no-result-search{?search,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"searches-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"user-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/user-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"no-results-rate": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/no-results-rate{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"archive": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/archive"
},
"unarchive": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/unarchive"
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes?page=1&size=20&sort=indexName,asc"
},
"indexes": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{?parentId,projection,page,size,sort}",
"templated": true
},
"first": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes?page=0&size=20&sort=indexName,asc"
},
"next": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes?page=2&size=20&sort=indexName,asc"
},
"prev": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes?page=0&size=20&sort=indexName,asc"
},
"last": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes?page=2&size=20&sort=indexName,asc"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Create an index
Link copied!

POST /algolia-search/{hubId}/indexes

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes

Create a new Algolia search index

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
suffixstringIndex suffix
labelstringUser defined index label
typestring (PRODUCTION, STAGING)Type of index
assignedContentTypesarrayAssigned Content Types
Request example
{
"suffix": "my-index",
"label": "My Index",
"assignedContentTypes": [
{
"id": "00112233445566778899aabb",
"contentTypeUri": "http://deliver.bigcontent.io/schema/banner-type.json",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z"
}
]
}

Responses

StatusDescription
201Algolia Search Index
Response Example (201)
{
"id": "00112233445566778899aabb",
"parentId": "00112233445566778899aabb",
"replicaCount": 0,
"name": "anya-finn.my-index",
"suffix": "my-index",
"label": "My Index",
"assignedContentTypes": [
{
"id": "00112233445566778899aabb",
"contentTypeUri": "http://deliver.bigcontent.io/schema/banner-type.json",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"assigned-content-type": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types{/id}",
"templated": true
},
"content-type": {
"href": "https://api.amplience.net/v2/content-types/00112233445566778899aabb"
},
"unassign": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook"
},
"active-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-active-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=active"
},
"archived-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-archived-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=archived"
}
}
}
],
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"status": "ACTIVE",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{/id}",
"templated": true
},
"hub-search-key": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/keys/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"list-replicas": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes?parentId=00112233445566778899aabb{&projection,page,size,sort}",
"templated": true
},
"hub": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb"
},
"settings": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings"
},
"update-settings": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings{?forwardToReplicas}",
"templated": true
},
"assigned-content-types": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types"
},
"clear": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/clear"
},
"stats": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/stats{?period}",
"templated": true
},
"top-searches": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches{?clickAnalytics,orderBy,direction,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"top-hits": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-hits{?search,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"searches-with-no-results": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-with-no-results{?startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"top-filters-no-result-search": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-filters-no-result-search{?search,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"searches-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"user-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/user-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"no-results-rate": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/no-results-rate{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"archive": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/archive"
},
"unarchive": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/unarchive"
}
}
}

Get an index
Link copied!

GET /algolia-search/{hubId}/indexes/{indexId}

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}

Get an Algolia search index for a given hub

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Get Algolia Search indexes for the given hub
Response Example (200)
{
"id": "00112233445566778899aabb",
"parentId": "00112233445566778899aabb",
"replicaCount": 0,
"name": "anya-finn.my-index",
"suffix": "my-index",
"label": "My Index",
"assignedContentTypes": [
{
"id": "00112233445566778899aabb",
"contentTypeUri": "http://deliver.bigcontent.io/schema/banner-type.json",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"assigned-content-type": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types{/id}",
"templated": true
},
"content-type": {
"href": "https://api.amplience.net/v2/content-types/00112233445566778899aabb"
},
"unassign": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook"
},
"active-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-active-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=active"
},
"archived-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-archived-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=archived"
}
}
}
],
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"status": "ACTIVE",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{/id}",
"templated": true
},
"hub-search-key": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/keys/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"list-replicas": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes?parentId=00112233445566778899aabb{&projection,page,size,sort}",
"templated": true
},
"hub": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb"
},
"settings": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings"
},
"update-settings": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings{?forwardToReplicas}",
"templated": true
},
"assigned-content-types": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types"
},
"clear": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/clear"
},
"stats": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/stats{?period}",
"templated": true
},
"top-searches": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches{?clickAnalytics,orderBy,direction,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"top-hits": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-hits{?search,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"searches-with-no-results": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-with-no-results{?startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"top-filters-no-result-search": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-filters-no-result-search{?search,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"searches-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"user-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/user-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"no-results-rate": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/no-results-rate{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"archive": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/archive"
},
"unarchive": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/unarchive"
}
}
}

Update an index
Link copied!

PATCH /algolia-search/{hubId}/indexes/{indexId}

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}

Update an active Algolia search index.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
labelstringUser defined index label
Request example
{
"label": "My Index"
}

Responses

StatusDescription
200Algolia Search Index Update Response
Response Example (200)
{
"id": "00112233445566778899aabb",
"parentId": "00112233445566778899aabb",
"replicaCount": 0,
"name": "anya-finn.my-index",
"suffix": "my-index",
"label": "My Index",
"assignedContentTypes": [
{
"id": "00112233445566778899aabb",
"contentTypeUri": "http://deliver.bigcontent.io/schema/banner-type.json",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"assigned-content-type": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types{/id}",
"templated": true
},
"content-type": {
"href": "https://api.amplience.net/v2/content-types/00112233445566778899aabb"
},
"unassign": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook"
},
"active-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-active-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=active"
},
"archived-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-archived-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=archived"
}
}
}
],
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"status": "ACTIVE",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{/id}",
"templated": true
},
"hub-search-key": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/keys/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"list-replicas": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes?parentId=00112233445566778899aabb{&projection,page,size,sort}",
"templated": true
},
"hub": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb"
},
"settings": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings"
},
"update-settings": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings{?forwardToReplicas}",
"templated": true
},
"assigned-content-types": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types"
},
"clear": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/clear"
},
"stats": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/stats{?period}",
"templated": true
},
"top-searches": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches{?clickAnalytics,orderBy,direction,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"top-hits": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-hits{?search,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"searches-with-no-results": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-with-no-results{?startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"top-filters-no-result-search": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-filters-no-result-search{?search,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"searches-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"user-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/user-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"no-results-rate": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/no-results-rate{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"archive": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/archive"
},
"unarchive": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/unarchive"
}
}
}

Delete an index
Link copied!

DELETE /algolia-search/{hubId}/indexes/{indexId}

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}

Delete an Algolia search index for a given hub

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb

Responses

StatusDescription
204Delete Algolia Search index for the given hub

Archive an Algolia search index
Link copied!

POST /algolia-search/{hubId}/indexes/{indexId}/archive

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/archive

Archive an Algolia Search Index

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Archived Algolia Search Index
Response Example (200)
{
"id": "00112233445566778899aabb",
"parentId": "00112233445566778899aabb",
"replicaCount": 0,
"name": "anya-finn.my-index",
"suffix": "my-index",
"label": "My Index",
"assignedContentTypes": [
{
"id": "00112233445566778899aabb",
"contentTypeUri": "http://deliver.bigcontent.io/schema/banner-type.json",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"assigned-content-type": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types{/id}",
"templated": true
},
"content-type": {
"href": "https://api.amplience.net/v2/content-types/00112233445566778899aabb"
},
"unassign": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook"
},
"active-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-active-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=active"
},
"archived-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-archived-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=archived"
}
}
}
],
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"status": "ARCHIVED",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{/id}",
"templated": true
},
"hub-search-key": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/keys/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"list-replicas": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes?parentId=00112233445566778899aabb{&projection,page,size,sort}",
"templated": true
},
"hub": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb"
},
"settings": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings"
},
"update-settings": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings{?forwardToReplicas}",
"templated": true
},
"assigned-content-types": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types"
},
"clear": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/clear"
},
"stats": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/stats{?period}",
"templated": true
},
"top-searches": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches{?clickAnalytics,orderBy,direction,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"top-hits": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-hits{?search,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"searches-with-no-results": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-with-no-results{?startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"top-filters-no-result-search": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-filters-no-result-search{?search,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"searches-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"user-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/user-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"no-results-rate": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/no-results-rate{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"archive": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/archive"
},
"unarchive": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/unarchive"
}
}
}

List assigned content types
Link copied!

GET /algolia-search/{hubId}/indexes/{indexId}/assigned-content-types

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/assigned-content-types

List all content types assigned to a search index. Each content type should have an associated webhook, which updates the index with content item data.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
sizequeryintegerSet the number of results per page
Example: 20
pagequeryintegerPage number
Example: 0
sortquerystringSort parameter
Example: createdDate,asc

Responses

StatusDescription
200Algolia Search Index
Response Example (200)
{
"_embedded": {
"assigned-content-types": [
{
"id": "00112233445566778899aabb",
"contentTypeUri": "http://deliver.bigcontent.io/schema/banner-type.json",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"assigned-content-type": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types{/id}",
"templated": true
},
"content-type": {
"href": "https://api.amplience.net/v2/content-types/00112233445566778899aabb"
},
"unassign": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook"
},
"active-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-active-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=active"
},
"archived-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-archived-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=archived"
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types?page=1&size=20&sort=createdDate,asc"
},
"first": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types?page=0&size=20&sort=createdDate,asc"
},
"next": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types?page=2&size=20&sort=createdDate,asc"
},
"prev": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types?page=0&size=20&sort=createdDate,asc"
},
"last": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types?page=2&size=20&sort=createdDate,asc"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Create an assigned content type
Link copied!

POST /algolia-search/{hubId}/indexes/{indexId}/assigned-content-types

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/assigned-content-types

Assign content type to a search index. Assigning a content type will create an associated webhook, which updates the index with content item data.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
contentTypeUristringRegistered Content Type Schema
Request example
{
"contentTypeUri": "http://deliver.bigcontent.io/schema/banner-type.json"
}

Responses

StatusDescription
201Algolia Search Index
Response Example (201)
{
"id": "00112233445566778899aabb",
"contentTypeUri": "http://deliver.bigcontent.io/schema/banner-type.json",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"assigned-content-type": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types{/id}",
"templated": true
},
"content-type": {
"href": "https://api.amplience.net/v2/content-types/00112233445566778899aabb"
},
"unassign": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook"
},
"active-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-active-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=active"
},
"archived-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-archived-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=archived"
}
}
}

Get assigned content type
Link copied!

GET /algolia-search/{hubId}/indexes/{indexId}/assigned-content-types/{contentTypeId}

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/assigned-content-types/{contentTypeId}

Get an assigned content type for a search index. A content type should have an associated webhook, which updates the index with content item data.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
contentTypeIdpathstringAssigned Content Type ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Algolia Search Index
Response Example (200)
{
"id": "00112233445566778899aabb",
"contentTypeUri": "http://deliver.bigcontent.io/schema/banner-type.json",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"assigned-content-type": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types{/id}",
"templated": true
},
"content-type": {
"href": "https://api.amplience.net/v2/content-types/00112233445566778899aabb"
},
"unassign": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook"
},
"active-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-active-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=active"
},
"archived-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-archived-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=archived"
}
}
}

Delete an assigned content type
Link copied!

DELETE /algolia-search/{hubId}/indexes/{indexId}/assigned-content-types/{contentTypeId}

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/assigned-content-types/{contentTypeId}

Delete an assigned content type for a search index.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
contentTypeIdpathstringAssigned Content Type ID
Example: 00112233445566778899aabb

Responses

StatusDescription
204Successfully deleted an assigned content type for a search index.

Recreate assigned content type webhook
Link copied!

POST /algolia-search/{hubId}/indexes/{indexId}/assigned-content-types/{contentTypeId}/recreate-webhook

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/assigned-content-types/{contentTypeId}/recreate-webhook

Recreate the webhook for this assigned content type

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
contentTypeIdpathstringAssigned Content Type ID
Example: 00112233445566778899aabb
typequerystring (active, archived)Type of webhook to create
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

Responses

StatusDescription
204Successfully recreated the webhook

Clear an index
Link copied!

POST /algolia-search/{hubId}/indexes/{indexId}/clear

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/clear

Remove all objects from an Algolia search index

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

Responses

StatusDescription
204Successfully cleared the Algolia search index

Get an API key
Link copied!

GET /algolia-search/{hubId}/indexes/{indexId}/keys/{keyId}

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/keys/{keyId}

Get Algolia search API key for a given index/hub

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
keyIdpathstringKey ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Get search key by id
Response Example (200)
{
"id": "00112233445566778899aabb",
"type": "HUB_SEARCH",
"key": "AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz",
"applicationId": "AaBbCcDdEeFfGg",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/keys/00112233445566778899aabb"
}
}
}

Delete an index object
Link copied!

DELETE /algolia-search/{hubId}/indexes/{indexId}/objects/{objectId}

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/objects/{objectId}

Delete an object from a search index

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
objectIdpathstringObject ID
Example: 00112233445566778899aabb

Responses

StatusDescription
204Successfully deleted an object from a search index

Get search index settings
Link copied!

GET /algolia-search/{hubId}/indexes/{indexId}/settings

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/settings

Get Algolia search index settings

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Algolia Search index settings for the given hub
Response Example (200)
{
"replicas": [],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings"
},
"settings": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings"
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
}
}
}

Update search index settings
Link copied!

PATCH /algolia-search/{hubId}/indexes/{indexId}/settings

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/settings

Update settings on an active Algolia search index.

For a complete list of index settings visit the Algolia settings documentation.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
forwardToReplicasquerybooleanForward to replicas
Example: True

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
replicasarrayIndex replicas that are managed by Dynamic Content should follow the naming convention <hubName>.<replicaName> - e.g. anyafinn.womens-clothing-replica
Request example
{
"replicas": []
}

Responses

StatusDescription
204Successfully updated Algolia search index settings

Get search index statistics
Link copied!

GET /algolia-search/{hubId}/indexes/{indexId}/stats

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/stats

Get Algolia search index statistics

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Algolia Search index statistics for the given hub
Response Example (200)
{
"totalRecords": 546,
"totalRecordSize": 256,
"averageRecordSize": 56,
"usage": {
"averageResponseTime": {
"unit": "DAYS",
"duration": 30,
"value": 1.25
},
"numberOfSearches": {
"unit": "DAYS",
"duration": 30,
"value": 150
}
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/stats"
},
"stats": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/stats{?period}",
"templated": true
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
}
}
}

Unarchive an Algolia search index
Link copied!

POST /algolia-search/{hubId}/indexes/{indexId}/unarchive

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/unarchive

Unarchive an Algolia Search Index

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Unarchived Algolia Search Index
Response Example (200)
{
"id": "00112233445566778899aabb",
"parentId": "00112233445566778899aabb",
"replicaCount": 0,
"name": "anya-finn.my-index",
"suffix": "my-index",
"label": "My Index",
"assignedContentTypes": [
{
"id": "00112233445566778899aabb",
"contentTypeUri": "http://deliver.bigcontent.io/schema/banner-type.json",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"assigned-content-type": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types{/id}",
"templated": true
},
"content-type": {
"href": "https://api.amplience.net/v2/content-types/00112233445566778899aabb"
},
"unassign": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb"
},
"webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook"
},
"active-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-active-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=active"
},
"archived-content-webhook": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb/webhook/00112233445566778899aabb"
},
"recreate-archived-content-webhook": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types/00112233445566778899aabb/recreate-webhook?type=archived"
}
}
}
],
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"status": "ACTIVE",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{/id}",
"templated": true
},
"hub-search-key": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/keys/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
},
"list-replicas": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes?parentId=00112233445566778899aabb{&projection,page,size,sort}",
"templated": true
},
"hub": {
"href": "https://api.amplience.net/v2/hubs/00112233445566778899aabb"
},
"settings": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings"
},
"update-settings": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/settings{?forwardToReplicas}",
"templated": true
},
"assigned-content-types": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/assigned-content-types"
},
"clear": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/clear"
},
"stats": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/stats{?period}",
"templated": true
},
"top-searches": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches{?clickAnalytics,orderBy,direction,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"top-hits": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-hits{?search,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"searches-with-no-results": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-with-no-results{?startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"top-filters-no-result-search": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-filters-no-result-search{?search,startDate,endDate,limit,offset,tags,includeReplicas}",
"templated": true
},
"searches-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"user-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/user-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"no-results-rate": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/no-results-rate{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"archive": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/archive"
},
"unarchive": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/unarchive"
}
}
}

Search indexes - Analytics
Link copied!

MethodEndpointSummary
GET/algolia-search/{hubId}
/indexes/{indexId}/analytics/no-results-rate
Get rate of no results for an index
GET/algolia-search/{hubId}
/indexes/{indexId}/analytics/searches-count
Get count of searches for an index
GET/algolia-search/{hubId}
/indexes/{indexId}/analytics/searches-with-no-results
Get top searches with no results
GET/algolia-search/{hubId}
/indexes/{indexId}/analytics/top-filters-no-result-search
Get top filters no result search
GET/algolia-search/{hubId}
/indexes/{indexId}/analytics/top-hits
Get top hits for an index
GET/algolia-search/{hubId}
/indexes/{indexId}/analytics/top-searches
Get top searches for an index
GET/algolia-search/{hubId}
/indexes/{indexId}/analytics/user-count
Get count of users

Get rate of no results for an index
Link copied!

GET /algolia-search/{hubId}/indexes/{indexId}/analytics/no-results-rate

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/analytics/no-results-rate

Returns the rate at which searches did not return any results. A value is returned for the whole range. Values per days are also returned. Additionally, the search count and the count of searches without results, used to compute the rates, are returned as well.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
startDatequerystringThe lower bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to 7 days ago, 00:00:00am, UTC
Example: 2020-07-16
endDatequerystringThe upper bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to Today, 23:59:59pm, UTC
Example: 2020-07-23
tagsquerystringFilter metrics on the provided tags. Each tag must correspond to an analyticsTags set at search time. Multiple tags can be combined with the operators OR and AND. If a tag contains characters like spaces or parentheses, it should be URL encoded. E.g: “lang:fr OR lang:en”* “platform:ios AND lang:en” * “(lang:fr OR lang:en) AND platform:android” * “device:mobile%20phone” (note the URL encoded)
Example: platform:ios
includeReplicasquerybooleanInclude replica data in the results (Can only be used in conjunction with primary indexes).
Example: True

Responses

StatusDescription
200Rate of no results for a given index
Response Example (200)
{
"rate": 0.5,
"count": 10,
"noResultCount": 5,
"dates": [
{
"date": "2020-08-24",
"rate": 0.5,
"count": 10,
"noResultCount": 5
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/no-results-rate?startDate=2020-08-24&endDate=2020-08-24"
},
"no-results-rate": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/no-results-rate{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
}
}
}

Get count of searches for an index
Link copied!

GET /algolia-search/{hubId}/indexes/{indexId}/analytics/searches-count

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/analytics/searches-count

Returns the number of searches across the given time range. A value is returned for the whole range. Additionally, values for each day are returned.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
startDatequerystringThe lower bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to 7 days ago, 00:00:00am, UTC
Example: 2020-07-16
endDatequerystringThe upper bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to Today, 23:59:59pm, UTC
Example: 2020-07-23
tagsquerystringFilter metrics on the provided tags. Each tag must correspond to an analyticsTags set at search time. Multiple tags can be combined with the operators OR and AND. If a tag contains characters like spaces or parentheses, it should be URL encoded. E.g: “lang:fr OR lang:en”* “platform:ios AND lang:en” * “(lang:fr OR lang:en) AND platform:android” * “device:mobile%20phone” (note the URL encoded)
Example: platform:ios
includeReplicasquerybooleanInclude replica data in the results (Can only be used in conjunction with primary indexes).
Example: True

Responses

StatusDescription
200Count of searches for a given index
Response Example (200)
{
"count": 3,
"dates": [
{
"date": "2020-08-24",
"count": 3
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-count?startDate=2020-08-24&endDate=2020-08-24"
},
"searches-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
}
}
}

Get top searches with no results
Link copied!

GET /algolia-search/{hubId}/indexes/{indexId}/analytics/searches-with-no-results

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/analytics/searches-with-no-results

Returns top searches that did not return any results. Limited to the 1000 most frequent.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
startDatequerystringThe lower bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to 7 days ago, 00:00:00am, UTC
Example: 2020-07-16
endDatequerystringThe upper bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to Today, 23:59:59pm, UTC
Example: 2020-07-23
limitquerynumberHow many items to fetch.
Example: 10
offsetquerynumberFrom which position to start retrieving results.
Example: 0
tagsquerystringFilter metrics on the provided tags. Each tag must correspond to an analyticsTags set at search time. Multiple tags can be combined with the operators OR and AND. If a tag contains characters like spaces or parentheses, it should be URL encoded. E.g: “lang:fr OR lang:en”* “platform:ios AND lang:en” * “(lang:fr OR lang:en) AND platform:android” * “device:mobile%20phone” (note the URL encoded)
Example: platform:ios
includeReplicasquerybooleanInclude replica data in the results (Can only be used in conjunction with primary indexes).
Example: True

Responses

StatusDescription
200Top searches that did not return any results
Response Example (200)
{
"_embedded": {
"searches-with-no-results": [
{
"search": "q0",
"count": 3,
"withFilterCount": 10
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-with-no-results?startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=20"
},
"searches-with-no-results": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-with-no-results{?startDate,endDate,limit,offset,tags}",
"templated": true
},
"first": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-with-no-results?startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=0"
},
"next": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-with-no-results?startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=30"
},
"prev": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/searches-with-no-results?startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=10"
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
}
}
}

GET /algolia-search/{hubId}/indexes/{indexId}/analytics/top-filters-no-result-search

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/analytics/top-filters-no-result-search

Returns top filters that did not return any results for given search. Limited to the top 1000.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
searchquerystringThe query term. Must match the exact user input
Example: q0
startDatequerystringThe lower bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to 7 days ago, 00:00:00am, UTC
Example: 2020-07-16
endDatequerystringThe upper bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to Today, 23:59:59pm, UTC
Example: 2020-07-23
limitquerynumberHow many items to fetch.
Example: 10
offsetquerynumberFrom which position to start retrieving results.
Example: 0
tagsquerystringFilter metrics on the provided tags. Each tag must correspond to an analyticsTags set at search time. Multiple tags can be combined with the operators OR and AND. If a tag contains characters like spaces or parentheses, it should be URL encoded. E.g: “lang:fr OR lang:en”* “platform:ios AND lang:en” * “(lang:fr OR lang:en) AND platform:android” * “device:mobile%20phone” (note the URL encoded)
Example: platform:ios
includeReplicasquerybooleanInclude replica data in the results (Can only be used in conjunction with primary indexes).
Example: True

Responses

StatusDescription
200Top searches that did not return any results
Response Example (200)
{
"_embedded": {
"top-filters-no-result-search": [
{
"count": 3,
"values": [
{
"attribute": "brand",
"operator": ":",
"value": "apple"
}
]
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-filters-no-result-search?search=q0&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=20"
},
"top-filters-no-result-search": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-filters-no-result-search{?search,startDate,endDate,limit,offset,tags}",
"templated": true
},
"first": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-filters-no-result-search?search=q0&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=0"
},
"next": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-filters-no-result-search?search=q0&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=30"
},
"prev": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-filters-no-result-search?search=q0&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=10"
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
}
}
}

Get top hits for an index
Link copied!

GET /algolia-search/{hubId}/indexes/{indexId}/analytics/top-hits

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/analytics/top-hits

If search is supplied, the top hits for the given search.

If search is omitted, the overall top hits will be returned for this index.

Limited to the 1000 most frequent ones.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
searchquerystringGet top hits for a given search. Must match the exact user input.
Example: term
startDatequerystringThe lower bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to 7 days ago, 00:00:00am, UTC
Example: 2020-07-16
endDatequerystringThe upper bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to Today, 23:59:59pm, UTC
Example: 2020-07-23
limitquerynumberHow many items to fetch.
Example: 10
offsetquerynumberFrom which position to start retrieving results.
Example: 0
tagsquerystringFilter metrics on the provided tags. Each tag must correspond to an analyticsTags set at search time. Multiple tags can be combined with the operators OR and AND. If a tag contains characters like spaces or parentheses, it should be URL encoded. E.g: “lang:fr OR lang:en”* “platform:ios AND lang:en” * “(lang:fr OR lang:en) AND platform:android” * “device:mobile%20phone” (note the URL encoded)
Example: platform:ios
includeReplicasquerybooleanInclude replica data in the results (Can only be used in conjunction with primary indexes).
Example: True

Responses

StatusDescription
200Top hits for a given search term
Response Example (200)
{
"_embedded": {
"top-hits": [
{
"hit": "ObjectID",
"count": 3
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-hits?search=term&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=20"
},
"top-hits": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-hits{?search,startDate,endDate,limit,offset,tags}",
"templated": true
},
"first": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-hits?search=term&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=0"
},
"next": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-hits?search=term&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=30"
},
"prev": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-hits?search=term&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=10"
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
}
}
}

Get top searches for an index
Link copied!

GET /algolia-search/{hubId}/indexes/{indexId}/analytics/top-searches

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/analytics/top-searches

Returns top searches. Limited to the 1000 most frequent ones. For each search, also returns the average number of hits returned.

If clickAnalytics=true, then for each search, also returns:

  • the click through rate,
  • the conversion rate,
  • the average click position.

You can also order the results using orderBy and direction.

Distinguishing no data vs 0% CTR, 0% CR, no average

  • You have click analytics enabled but no queries were received with clickAnalytics=true
    • in that case CTR, CR and average will be null.
  • You have click analytics enabled, we received queries with clickAnalytics=true
  • CTR and CR are 0 until we receive click/conversion events
  • average will stay null until we receive a click event

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
clickAnalyticsquerybooleanIf true, then for each search, also returns: the click through rate,* the conversion rate, * the average click position.
Example: False
orderByquerystringYou can reorder the results by passing one of the following: searchCount* clickThroughRate * conversionRate * averageClickPosition
directionquerystring (asc, desc)Change the order of the results
Example: desc
startDatequerystringThe lower bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to 7 days ago, 00:00:00am, UTC
Example: 2020-07-16
endDatequerystringThe upper bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to Today, 23:59:59pm, UTC
Example: 2020-07-23
limitquerynumberHow many items to fetch.
Example: 10
offsetquerynumberFrom which position to start retrieving results.
Example: 0
tagsquerystringFilter metrics on the provided tags. Each tag must correspond to an analyticsTags set at search time. Multiple tags can be combined with the operators OR and AND. If a tag contains characters like spaces or parentheses, it should be URL encoded. E.g: “lang:fr OR lang:en”* “platform:ios AND lang:en” * “(lang:fr OR lang:en) AND platform:android” * “device:mobile%20phone” (note the URL encoded)
Example: platform:ios
includeReplicasquerybooleanInclude replica data in the results (Can only be used in conjunction with primary indexes).
Example: True

Responses

StatusDescription
200Top searches for a given index
Response example (200): clickAnalyticsFalse
{
"_embedded": {
"searches": [
{
"search": "q0",
"count": 3,
"nbHits": 10
},
{
"search": "q1",
"count": 3,
"nbHits": 10
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches?clickAnalytics=false&orderBy=searchCountc&direction=desc&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=20"
},
"searches": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches{?clickAnalytics,orderBy,direction,startDate,endDate,limit,offset,tags}",
"templated": true
},
"first": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches?clickAnalytics=false&orderBy=searchCountc&direction=desc&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=0"
},
"next": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches?clickAnalytics=false&orderBy=searchCountc&direction=desc&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=30"
},
"prev": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches?clickAnalytics=false&orderBy=searchCountc&direction=desc&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=10"
}
}
}
Response example (200): clickAnalyticsTrue
{
"_embedded": {
"searches": [
{
"search": "q0",
"count": 3,
"nbHits": 10,
"clickThroughRate": 3,
"averageClickPosition": 1,
"conversionRate": 0.5,
"trackedSearchCount": 2,
"clickCount": 2,
"conversionCount": 1
},
{
"search": "q1",
"count": 3,
"nbHits": 10,
"clickThroughRate": 3,
"averageClickPosition": 1,
"conversionRate": 0.5,
"trackedSearchCount": 2,
"clickCount": 2,
"conversionCount": 1
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches?clickAnalytics=false&orderBy=searchCountc&direction=desc&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=20"
},
"searches": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches{?clickAnalytics,orderBy,direction,startDate,endDate,limit,offset,tags}",
"templated": true
},
"first": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches?clickAnalytics=false&orderBy=searchCountc&direction=desc&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=0"
},
"next": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches?clickAnalytics=false&orderBy=searchCountc&direction=desc&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=30"
},
"prev": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/analytics/top-searches?clickAnalytics=false&orderBy=searchCountc&direction=desc&startDate=2020-07-16T00:00:00&endDate=2020-07-23T23:59:59limit=10&offset=10"
}
}
}

Get count of users
Link copied!

GET /algolia-search/{hubId}/indexes/{indexId}/analytics/user-count

https://api.amplience.net/v2/content/algolia-search/{hubId}/indexes/{indexId}/analytics/user-count

Returns count of distinct user across the given time range.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
indexIdpathstringIndex ID
Example: 00112233445566778899aabb
startDatequerystringThe lower bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to 7 days ago, 00:00:00am, UTC
Example: 2020-07-16
endDatequerystringThe upper bound timestamp (a date, a string like “2006-01-02”) of the period to analyze. Defaults to Today, 23:59:59pm, UTC
Example: 2020-07-23
includeReplicasquerybooleanInclude replica data in the results (Can only be used in conjunction with primary indexes).
Example: True
tagsquerystringFilter metrics on the provided tags. Each tag must correspond to an analyticsTags set at search time. Multiple tags can be combined with the operators OR and AND. If a tag contains characters like spaces or parentheses, it should be URL encoded. E.g: “lang:fr OR lang:en”* “platform:ios AND lang:en” * “(lang:fr OR lang:en) AND platform:android” * “device:mobile%20phone” (note the URL encoded)
Example: platform:ios

Responses

StatusDescription
200Count of distinct user across the given time range
Response Example (200)
{
"count": 3,
"dates": [
{
"date": "2020-01-01",
"count": 1
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/user-count"
},
"user-count": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb/user-count{?startDate,endDate,tags,includeReplicas}",
"templated": true
},
"index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes/00112233445566778899aabb"
}
}
}